API referenceLicenses
List licenses
List all licenses in the company workspace
GET
/licensescurl -X GET "https://api.corma.io/v1/licenses" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
takeintegerqueryDefault:50skipintegerqueryDefault:0filtersobjectquery
Response
application/json200
OK
paginationPaginationResponseMetarequireditemsLicense[]required
{
"pagination": {
"take": 0,
"skip": 0,
"total": 0
},
"items": [
{
"id": 0,
"applicationInstanceId": -9007199254740991,
"user": {
"id": "string",
"type": "employee",
"email": "string",
"personalEmail": "string",
"name": "string",
"idpStatus": "active",
"hrStatus": "active",
"jobKey": "string",
"countryCode": "string",
"departmentKey": "string",
"startDate": "2026-01-15T09:30:00Z",
"terminationDate": "2026-01-15T09:30:00Z"
},
"grantedById": "string",
"grantedBy": {
"id": "string",
"type": "employee",
"email": "string",
"personalEmail": "string",
"name": "string",
"idpStatus": "active",
"hrStatus": "active",
"jobKey": "string",
"countryCode": "string",
"departmentKey": "string",
"startDate": "2026-01-15T09:30:00Z",
"terminationDate": "2026-01-15T09:30:00Z"
},
"grantedAt": "2026-01-15T09:30:00Z",
"billingStatus": "live",
"activityStatus": "active",
"appInternalId": "string",
"sources": [
{
"type": "integration_sync_unit",
"kind": "google",
"method": "api",
"syncUnitId": "string",
"label": "string",
"author": "string",
"isOriginating": true,
"firstActivityAt": "2026-01-15T09:30:00Z",
"lastActivityAt": "2026-01-15T09:30:00Z"
}
],
"connectorId": "string",
"licenseTypesKeys": [
"string"
],
"licenseRolesKeys": [
"string"
],
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}